## golang-github-containers-image 5.32.2

=== Makefile ===
.PHONY: all tools test validate lint .gitvalidation fmt

export GOPROXY=https://proxy.golang.org


GOBIN := $(shell go env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(shell go env GOPATH)/bin
endif

# when cross compiling _for_ a Darwin or windows host, then we must use openpgp
BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
BUILD_TAGS_DARWIN_CROSS = containers_image_openpgp

BUILDTAGS = btrfs_noversion libdm_no_deferred_remove
BUILDFLAGS := -tags "$(BUILDTAGS)"

PACKAGES := $(shell go list $(BUILDFLAGS) ./...)
SOURCE_DIRS = $(shell echo $(PACKAGES) | awk 'BEGIN{FS="/"; RS=" "}{print $$4}' | uniq)

PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

ifeq ($(shell uname -s),FreeBSD)
CONTAINERSCONFDIR ?= /usr/local/etc/containers
else
CONTAINERSCONFDIR ?= /etc/containers
endif
REGISTRIESDDIR ?= ${CONTAINERSCONFDIR}/registries.d

# N/B: This value is managed by Renovate, manual changes are
# possible, as long as they don't disturb the formatting
# (i.e. DO NOT ADD A 'v' prefix!)
GOLANGCI_LINT_VERSION := 1.59.1

export PATH := $(PATH):${GOBIN}

all: tools test validate .gitvalidation

build:
	go build $(BUILDFLAGS) ./...

$(MANPAGES): %: %.md
	$(GOMD2MAN) -in $< -out $@

docs: $(MANPAGES)

install-docs: docs
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 docs/*.5 ${MANINSTALLDIR}/man5/

install: install-docs
	install -d -m 755 ${DESTDIR}${CONTAINERSCONFDIR}
	install -m 644 default-policy.json ${DESTDIR}${CONTAINERSCONFDIR}/policy.json
	install -d -m 755 ${DESTDIR}${REGISTRIESDDIR}
	install -m 644 default.yaml ${DESTDIR}${REGISTRIESDDIR}/default.yaml

cross:
	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"

tools: .install.gitvalidation .install.golangci-lint

.install.gitvalidation:
	if [ ! -x "$(GOBIN)/git-validation" ]; then \
		go install github.com/vbatts/git-validation@latest; \
	fi

.install.golangci-lint:
	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v$(GOLANGCI_LINT_VERSION) ; \
	fi

clean:
	rm -rf $(MANPAGES)

test:
	@go test $(BUILDFLAGS) -cover ./...

fmt:
	@gofmt -l -s -w $(SOURCE_DIRS)

validate: lint
	@BUILDTAGS="$(BUILDTAGS)" hack/validate.sh

lint:
	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"

# When this is running in CI, it will only check the CI commit range
.gitvalidation:
	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
	git fetch -q "https://github.com/containers/image.git" "refs/heads/main"
	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang go mod tidy

codespell:
	codespell -w

=== debian/changelog ===
golang-github-containers-image (5.32.2-4) unstable; urgency=medium

  * Upload to unstable
  * golang-github-containers-image: set Multi-Arch: foreign

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 06:46:44 -0400

golang-github-containers-image (5.32.2-3) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 09:35:01 -0400

golang-github-containers-image (5.32.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:32:24 -0400

golang-github-containers-image (5.32.1-2) experimental; urgency=medium

  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 20:18:27 -0400

golang-github-containers-image (5.32.1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 08:51:42 -0400

golang-github-containers-image (5.32.0-2) experimental; urgency=medium

  * Tighten breaks on containers/buildah

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Aug 2024 07:38:14 -0400

golang-github-containers-image (5.32.0-1) experimental; urgency=medium

  * New upstream release: 5.32.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 18:49:28 -0400

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               go-md2man,
               golang-github-acarl005-stripansi-dev,
               golang-github-burntsushi-toml-dev (>= 1.3.2),
               golang-github-containers-libtrust-dev,
               golang-github-containers-ocicrypt-dev (>= 1.1.9),
               golang-github-containers-storage-dev (>= 1.55),
               golang-github-coreos-bbolt-dev (>= 1.3.3~),
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-credential-helpers-dev,
               golang-github-docker-docker-dev (>= 26.1),
               golang-github-docker-go-connections-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-imdario-mergo-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-manifoldco-promptui-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-moby-sys-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
               golang-github-opencontainers-selinux-dev (>= 1.11),
               golang-github-ostreedev-ostree-go-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-sigstore-fulcio-dev,
               golang-github-sigstore-rekor-dev,
               golang-github-sigstore-sigstore-dev (>= 1.8.6),
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-sylabs-sif-dev (>> 2.3.1),
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev,
               golang-github-vbauerster-mpb-dev (>= 8),
               golang-github-xeipuuv-gojsonschema-dev,
               golang-go,
               golang-golang-x-crypto-dev,
               golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               libbtrfs-dev,
               libdevmapper-dev
Standards-Version: 4.7.0
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image
Architecture: all
Depends: ${misc:Depends}
Replaces: buildah (<< 1.17.1+dfsg1-2)
Multi-Arch: foreign
Description: Configuration files and manpages for github.com/containers repositories
 This package contains documentation and configuration files for use by
 other container projects.

Package: golang-github-containers-image-dev
Architecture: all
Breaks: golang-github-containers-buildah-dev (<< 1.37),
        golang-github-containers-common-dev (<< 0.60)
Depends: golang-github-acarl005-stripansi-dev,
         golang-github-burntsushi-toml-dev (>= 1.3.2),
         golang-github-containers-libtrust-dev,
         golang-github-containers-ocicrypt-dev (>= 1.1.9),
         golang-github-containers-storage-dev (>= 1.55),
         golang-github-coreos-bbolt-dev (>= 1.3.3~),
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-credential-helpers-dev,
         golang-github-docker-docker-dev (>> 26.1),
         golang-github-docker-go-connections-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-imdario-mergo-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-manifoldco-promptui-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-moby-sys-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
         golang-github-opencontainers-selinux-dev (>= 1.11),
         golang-github-ostreedev-ostree-go-dev,
         golang-github-pkg-errors-dev,
         golang-github-proglottis-gpgme-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
         golang-github-sigstore-fulcio-dev,
         golang-github-sigstore-rekor-dev,
         golang-github-sigstore-sigstore-dev (>= 1.8.6),
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-github-sylabs-sif-dev (>> 2.3.1),
         golang-github-theupdateframework-go-tuf-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-vbatts-tar-split-dev,
         golang-github-vbauerster-mpb-dev (>= 8),
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-exp-dev (>= 0.0~git20230522.2e198f4-1~),
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         ${misc:Depends}
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".

## golang-github-containers-image 5.33.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.59.1
+GOLANGCI_LINT_VERSION := 1.61.0
 
 export PATH := $(PATH):${GOBIN}

=== debian/changelog ===
golang-github-containers-image (5.33.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 09:58:06 -0500

golang-github-containers-image (5.33.0-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Nov 2024 09:48:18 -0500

golang-github-containers-image (5.32.2-5) unstable; urgency=medium

  * Team upload.
  * Fix gbp.conf debian-branch.
  * Drop golang-github-theupdateframework-go-tuf-dev B-D.
  * Add Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Silence lintian update-debian-copyright.
  * Bump sigstore/rekor dependency to TUF-less.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 24 Oct 2024 10:50:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                go-md2man,
                golang-github-acarl005-stripansi-dev,
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.55),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -19,11 +19,11 @@
                golang-github-docker-go-connections-dev,
                golang-github-fullsailor-pkcs7-dev,
                golang-github-ghodss-yaml-dev,
-               golang-github-imdario-mergo-dev,
+               golang-github-imdario-mergo-dev (>> 1.0),
                golang-github-klauspost-pgzip-dev,
                golang-github-manifoldco-promptui-dev,
                golang-github-mattn-go-sqlite3-dev,
-               golang-github-moby-sys-dev,
+               golang-github-moby-sys-dev (>> 0.0~git20241107),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5~),
                golang-github-opencontainers-selinux-dev (>= 1.11),
@@ -34,13 +34,13 @@
                golang-github-proglottis-gpgme-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
-               golang-github-sigstore-rekor-dev,
-               golang-github-sigstore-sigstore-dev (>= 1.8.6),
+               golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+               golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-sylabs-sif-dev (>> 2.3.1),
                golang-github-ulikunitz-xz-dev,
-               golang-github-vbatts-tar-split-dev,
+               golang-github-vbatts-tar-split-dev (>= 0.11.6~),
                golang-github-vbauerster-mpb-dev (>= 8),
                golang-github-xeipuuv-gojsonschema-dev,
                golang-go,
@@ -53,6 +53,7 @@
                libdevmapper-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/containers/image
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
 XS-Go-Import-Path: github.com/containers/image
@@ -75,18 +76,18 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.55),
+         golang-github-containers-storage-dev (>= 1.56),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
          golang-github-docker-docker-dev (>> 26.1),
          golang-github-docker-go-connections-dev,
          golang-github-ghodss-yaml-dev,
-         golang-github-imdario-mergo-dev,
+         golang-github-imdario-mergo-dev (>> 1.0),
          golang-github-klauspost-pgzip-dev,
          golang-github-manifoldco-promptui-dev,
          golang-github-mattn-go-sqlite3-dev,
-         golang-github-moby-sys-dev,
+         golang-github-moby-sys-dev (>> 0.0~git20241107),
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc5),
          golang-github-opencontainers-selinux-dev (>= 1.11),
@@ -95,14 +96,13 @@
          golang-github-proglottis-gpgme-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
          golang-github-sigstore-fulcio-dev,
-         golang-github-sigstore-rekor-dev,
-         golang-github-sigstore-sigstore-dev (>= 1.8.6),
+         golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+         golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
          golang-github-sirupsen-logrus-dev,
          golang-github-stretchr-testify-dev,
          golang-github-sylabs-sif-dev (>> 2.3.1),
-         golang-github-theupdateframework-go-tuf-dev,
          golang-github-ulikunitz-xz-dev,
-         golang-github-vbatts-tar-split-dev,
+         golang-github-vbatts-tar-split-dev (>= 0.11.6),
          golang-github-vbauerster-mpb-dev (>= 8),
          golang-github-xeipuuv-gojsonschema-dev,
          golang-golang-x-crypto-dev,

## golang-github-containers-image 5.33.1

=== debian/changelog ===
golang-github-containers-image (5.33.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jan 2025 16:06:44 -0500

## golang-github-containers-image 5.34.0

=== debian/changelog ===
golang-github-containers-image (5.34.0-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Feb 2025 18:04:28 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.56),
+               golang-github-containers-storage-dev (>= 1.57),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -76,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.56),
+         golang-github-containers-storage-dev (>= 1.57),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,

## golang-github-containers-image 5.34.2

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.61.0
+GOLANGCI_LINT_VERSION := 1.63.4
 
 export PATH := $(PATH):${GOBIN}

=== debian/changelog ===
golang-github-containers-image (5.34.2-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2025 21:30:41 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.57),
+               golang-github-containers-storage-dev (>= 1.57.2),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -76,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.57),
+         golang-github-containers-storage-dev (>= 1.57.2),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,

=== debian/rules ===
#!/usr/bin/make -f

# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
export DH_GOLANG_EXCLUDES := openshift
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_strip_nondeterminism:
	# this file comes from the testsuite, not a source of non-determinism
	dh_strip_nondeterminism -XHello.gz

override_dh_auto_install:
	dh_auto_install --buildsystem=golang
	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) pkg/docker image/signature" \
	dh_auto_test -O--buildsystem=golang

## golang-github-containers-image 5.36.1

=== debian/changelog ===
golang-github-containers-image (5.36.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies on containers/storage
  * Bump Standards-Version
  * refresh patches
  * Revert "Update module github.com/docker/docker to v28"
  * TestSetupCertificates: Disable segfaulting test

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 15:09:33 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.57.2),
+               golang-github-containers-storage-dev (>= 1.59.1),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -51,7 +51,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/image
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
@@ -76,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.57.2),
+         golang-github-containers-storage-dev (>= 1.59.1),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,

## golang-github-containers-image 5.36.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-.PHONY: all tools test validate lint .gitvalidation fmt
-
 export GOPROXY=https://proxy.golang.org
 
 
@@ -12,8 +10,12 @@
 BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
 BUILD_TAGS_DARWIN_CROSS = containers_image_openpgp
 
-BUILDTAGS = btrfs_noversion libdm_no_deferred_remove
+BUILDTAGS =
 BUILDFLAGS := -tags "$(BUILDTAGS)"
+
+# Extra flags passed to go test
+TESTFLAGS :=
+TEST_PACKAGES := ./...
 
 PACKAGES := $(shell go list $(BUILDFLAGS) ./...)
 SOURCE_DIRS = $(shell echo $(PACKAGES) | awk 'BEGIN{FS="/"; RS=" "}{print $$4}' | uniq)
@@ -34,12 +36,14 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.63.4
+GOLANGCI_LINT_VERSION := 2.2.2
 
 export PATH := $(PATH):${GOBIN}
 
+.PHONY: all
 all: tools test validate .gitvalidation
 
+.PHONY: build
 build:
 	go build $(BUILDFLAGS) ./...
 
@@ -48,56 +52,70 @@
 
 docs: $(MANPAGES)
 
+.PHONY: install-docs
 install-docs: docs
 	install -d -m 755 ${MANINSTALLDIR}/man5
 	install -m 644 docs/*.5 ${MANINSTALLDIR}/man5/
 
+.PHONY: install
 install: install-docs
 	install -d -m 755 ${DESTDIR}${CONTAINERSCONFDIR}
 	install -m 644 default-policy.json ${DESTDIR}${CONTAINERSCONFDIR}/policy.json
 	install -d -m 755 ${DESTDIR}${REGISTRIESDDIR}
 	install -m 644 default.yaml ${DESTDIR}${REGISTRIESDDIR}/default.yaml
 
+.PHONY: cross
 cross:
 	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
 	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"
 
+.PHONY: tools
 tools: .install.gitvalidation .install.golangci-lint
 
+.PHONY: .install.gitvalidation
 .install.gitvalidation:
 	if [ ! -x "$(GOBIN)/git-validation" ]; then \
 		go install github.com/vbatts/git-validation@latest; \
 	fi
 
+.PHONY: .install.golangci-lint
 .install.golangci-lint:
 	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
 		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v$(GOLANGCI_LINT_VERSION) ; \
 	fi
 
+.PHONY: clean
 clean:
 	rm -rf $(MANPAGES)
 
+.PHONY: test
 test:
-	@go test $(BUILDFLAGS) -cover ./...
+	@go test $(BUILDFLAGS) $(TESTFLAGS) -cover $(TEST_PACKAGES)
 
+.PHONY: fmt
 fmt:
 	@gofmt -l -s -w $(SOURCE_DIRS)
 
+.PHONY: validate
 validate: lint
 	@BUILDTAGS="$(BUILDTAGS)" hack/validate.sh
 
+.PHONY: lint
 lint:
 	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"
 
 # When this is running in CI, it will only check the CI commit range
+.PHONY: .gitvalidation
 .gitvalidation:
 	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
 	git fetch -q "https://github.com/containers/image.git" "refs/heads/main"
 	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
 		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
 
+.PHONY: vendor-in-container
 vendor-in-container:
 	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang go mod tidy
 
+.PHONY: codespell
 codespell:
 	codespell -w

=== debian/changelog ===
golang-github-containers-image (5.36.2-2) unstable; urgency=medium

  * New upstream release
  * Stop disabling openshift component
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 06:14:06 -0400

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
                golang-github-proglottis-gpgme-dev,
+               golang-github-santhosh-tekuri-jsonschema-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
                golang-github-sigstore-rekor-dev (>> 1.3.6-2~),

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
-export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)
 
 %:
@@ -17,5 +16,5 @@
 	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) pkg/docker image/signature" \
+	DH_GOLANG_EXCLUDES="pkg/docker" \
 	dh_auto_test -O--buildsystem=golang

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/containers/image/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-containers-image 5.38.0%2Bds2

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/containers/container-libs/git/matching-refs/tags/image
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/image/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: auto
Search-Mode: plain
Repack: yes
Update-Script: debian/repack

## golang-github-containers-image 5.38.0+ds2

=== Makefile ===
export GOPROXY=https://proxy.golang.org


GOBIN := $(shell go env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(shell go env GOPATH)/bin
endif

# when cross compiling _for_ a Darwin or windows host, then we must use openpgp
BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
BUILD_TAGS_DARWIN_CROSS = containers_image_openpgp
SEQUOIA_SONAME_DIR =

BUILDTAGS =
BUILDFLAGS := -tags "$(BUILDTAGS)" -ldflags '-X go.podman.io/image/v5/signature/internal/sequoia.sequoiaLibraryDir='"$(SEQUOIA_SONAME_DIR)"

# Extra flags passed to go test
TESTFLAGS :=
TEST_PACKAGES := ./...

PACKAGES := $(shell go list $(BUILDFLAGS) ./...)
SOURCE_DIRS = $(shell echo $(PACKAGES) | awk 'BEGIN{FS="/"; RS=" "}{print $$4}' | uniq)

PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

ifeq ($(shell uname -s),FreeBSD)
CONTAINERSCONFDIR ?= /usr/local/etc/containers
else
CONTAINERSCONFDIR ?= /etc/containers
endif
REGISTRIESDDIR ?= ${CONTAINERSCONFDIR}/registries.d

export PATH := $(PATH):${GOBIN}

.PHONY: all
all: test lint

.PHONY: build
build:
	go build $(BUILDFLAGS) ./...

$(MANPAGES): %: %.md
	$(GOMD2MAN) -in $< -out $@

docs: $(MANPAGES)

.PHONY: install-docs
install-docs: docs
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 docs/*.5 ${MANINSTALLDIR}/man5/

.PHONY: install
install: install-docs
	install -d -m 755 ${DESTDIR}${CONTAINERSCONFDIR}
	install -m 644 default-policy.json ${DESTDIR}${CONTAINERSCONFDIR}/policy.json
	install -d -m 755 ${DESTDIR}${REGISTRIESDDIR}
	install -m 644 default.yaml ${DESTDIR}${REGISTRIESDDIR}/default.yaml

.PHONY: cross
cross:
	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"

.PHONY: clean
clean:
	rm -rf $(MANPAGES)

.PHONY: test
test:
	@go test $(BUILDFLAGS) $(TESTFLAGS) -cover $(TEST_PACKAGES)

.PHONY: fmt
fmt:
	@gofmt -l -s -w $(SOURCE_DIRS)

.PHONY: lint
lint:
	golangci-lint run --build-tags "$(BUILDTAGS)"

.PHONY: tidy-in-container
tidy-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make tidy

.PHONY: tidy
tidy:
	go mod tidy
	go mod verify
	go mod edit -toolchain none

=== debian/changelog ===
golang-github-containers-image (5.38.0+ds2-1) experimental; urgency=medium

  * New upstream release, Refresh patches
  * Switch to fetch sources from monorepo, cf.
    https://blog.podman.io/2025/08/migration-to-the-container-libs-monorepo-is-complete/
  * debian/watch: add dversionmangle
  * debian/repack: script to produce an orig.tarball that only contains
    container/image sources
  * debian/copyright:
    - remove redundant reference
    - clarify license of signature/internal/sequoia/*
  * debian/control:
    - Update section to 'golang'
    - Switch to new golang import path go.podman.io/storage, keep compat symlink
    - Drop redundant Rules-Requires-Root
    - tighten dependencies on containers/storage
  * add lintian overrides

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Nov 2025 06:18:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-containers-image
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
@@ -11,7 +11,7 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.59.1),
+               golang-github-containers-storage-dev (>= 1.61.0),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
@@ -31,7 +31,7 @@
                golang-github-otiai10-copy-dev,
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
-               golang-github-proglottis-gpgme-dev,
+               golang-github-proglottis-gpgme-dev (>> 0.1.5),
                golang-github-santhosh-tekuri-jsonschema-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-fulcio-dev,
@@ -54,10 +54,9 @@
                libdevmapper-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/containers/image
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
-XS-Go-Import-Path: github.com/containers/image
+XS-Go-Import-Path: go.podman.io/image
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-containers-image
@@ -77,7 +76,7 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.59.1),
+         golang-github-containers-storage-dev (>= 1.61.0),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
@@ -94,7 +93,7 @@
          golang-github-opencontainers-selinux-dev (>= 1.11),
          golang-github-ostreedev-ostree-go-dev,
          golang-github-pkg-errors-dev,
-         golang-github-proglottis-gpgme-dev,
+         golang-github-proglottis-gpgme-dev (>> 0.1.5),
          golang-github-secure-systems-lab-go-securesystemslib-dev (>> 0.7),
          golang-github-sigstore-fulcio-dev,
          golang-github-sigstore-rekor-dev (>> 1.3.6-2~),

## golang-github-containers-image 5.39.1

=== debian/changelog ===
golang-github-containers-image (5.39.1-2) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version, no changes needed
  * Drop redundant Rules-Requires-Root
  * debian/copyright: various corrections
  * Build against containers/storage 1.62
  * Build against docker 28
  * Cleanup patches, reorder names
  * debian/changelog: update

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Mar 2026 05:44:55 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                golang-github-burntsushi-toml-dev (>= 1.3.2),
                golang-github-containers-libtrust-dev,
                golang-github-containers-ocicrypt-dev (>= 1.1.9),
-               golang-github-containers-storage-dev (>= 1.61.0),
+               golang-github-containers-storage-dev (>= 1.62),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-credential-helpers-dev,
-               golang-github-docker-docker-dev (>= 26.1),
+               golang-github-docker-docker-dev (>= 28.5),
                golang-github-docker-go-connections-dev,
                golang-github-fullsailor-pkcs7-dev,
                golang-github-ghodss-yaml-dev,
@@ -52,7 +52,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
@@ -76,11 +76,11 @@
          golang-github-burntsushi-toml-dev (>= 1.3.2),
          golang-github-containers-libtrust-dev,
          golang-github-containers-ocicrypt-dev (>= 1.1.9),
-         golang-github-containers-storage-dev (>= 1.61.0),
+         golang-github-containers-storage-dev (>= 1.62),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-docker-distribution-dev,
          golang-github-docker-docker-credential-helpers-dev,
-         golang-github-docker-docker-dev (>> 26.1),
+         golang-github-docker-docker-dev (>> 28.5),
          golang-github-docker-go-connections-dev,
          golang-github-ghodss-yaml-dev,
          golang-github-imdario-mergo-dev (>> 1.0),
